// Copyright (c) Mito
import React, { useEffect, useState } from 'react';
import { shuffle } from '../../utils/arrays';
import { classNames } from '../../utils/classNames';
/**
 * The RadioButtons component. Displays a set of options and allows
 * the user to toggle between them
 */
const RadioButtons = (props) => {
    const [possibleAnswers, setPossibleAnswers] = useState([]);
    // Put them in a random order
    useEffect(() => {
        setPossibleAnswers(shuffle(props.values));
    }, []);
    return (React.createElement("div", { className: 'text-body-2', style: { 'border': props.highlight ? '1px solid red' : '' } }, possibleAnswers.map((value, idx) => {
        const checked = value == props.selectedValue;
        return (React.createElement("div", { key: value, onClick: () => {
                props.onChange(value);
            }, className: classNames({ 'mt-5px': idx !== 0 }) },
            React.createElement("input", { type: "radio", name: value, value: value, checked: checked }),
            React.createElement("label", { htmlFor: value }, value)));
    })));
};
export default RadioButtons;
//# sourceMappingURL=RadioButtons.js.map